Summary:	Tools to create, manage, and publish documentation for Yelp
Summary(pl.UTF-8):	Narzędzia do tworzenia, zarządzania i publikowania dokumentacji dla Yelpa
Name:		yelp-tools
Version:	41.0
Release:	1
License:	GPL v2+ with exceptions
Group:		Libraries
Source0:	https://download.gnome.org/sources/yelp-tools/41/%{name}-%{version}.tar.xz
# Source0-md5:	e78e308e639c8d14f82655ebacb60fac
Patch0:		%{name}-sh.patch
URL:		https://wiki.gnome.org/Apps/Yelp
BuildRequires:	itstool
BuildRequires:	libxml2-progs >= 1:2.6.12
BuildRequires:	libxslt-progs >= 1.1.8
BuildRequires:	meson >= 0.51.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	python3 >= 1:3
BuildRequires:	python3-lxml
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-xsl >= 41
Requires:	itstool
Requires:	libxml2-progs >= 1:2.6.12
Requires:	libxslt-progs >= 1.1.8
Requires:	python3-lxml
Requires:	yelp-xsl >= 41
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
yelp-tools is a collection of scripts and build utilities to help
create, manage, and publish documentation for Yelp and the web. Most
of the heavy lifting is done by packages like yelp-xsl and itstool.
This package just wraps things up in a developer-friendly way.

%description -l pl.UTF-8
yelp-tools to zestaw skryptów i narzędzi do budowania, mających
pomagać przy tworzeniu, zarządzaniu i publikowaniu dokumentacji dla
Yelpa oraz na WWW. Większość pracy wykonywana jest przez pakiety
takie jak yelp-xsl i itstool. Ten pakiet po prostu obudowuje je w
sposób przyjazny dla programisty.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	-Dhelp=true

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING MAINTAINERS NEWS README
%attr(755,root,root) %{_bindir}/yelp-build
%attr(755,root,root) %{_bindir}/yelp-check
%attr(755,root,root) %{_bindir}/yelp-new
%{_aclocaldir}/yelp.m4
%{_datadir}/yelp-tools
%changelog
* Sun Sep 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yelp-tools.git;a=log;h=master

* Sun Sep 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 8984985
- updated to 41.0

* Tue Apr 06 2021 Jakub Bogusz <qboosh@pld-linux.org> 0c1da30
- really noarch, release 3

* Tue Apr 06 2021 Jakub Bogusz <qboosh@pld-linux.org> eb4bad6
- it's noarch (pure Python); release 2

* Mon Apr 05 2021 Jakub Bogusz <qboosh@pld-linux.org> e0b6950
- updated to 40.0

* Sun Sep 13 2020 Jakub Bogusz <qboosh@pld-linux.org> 74a0edc
- updated to 3.38.0

* Wed Jun 26 2019 Jakub Bogusz <qboosh@pld-linux.org> fdfb4f8
- updated to 3.32.2

* Fri May 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 5614bbb
- updated to 3.32.1

* Sat Apr 20 2019 Jakub Bogusz <qboosh@pld-linux.org> adefa5f
- updated to 3.32.0

* Sat Oct 06 2018 Jakub Bogusz <qboosh@pld-linux.org> fbd052c
- updated URL

* Tue Mar 13 2018 Marcin Banasiak <marcin.banasiak@gmail.com> fce63de
- Update to 3.28.0

* Mon Sep 21 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 77c9bbe
- Updated source0 md5sum

* Mon Sep 21 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 0c699a5
- Update to 3.18.0

* Sun May 10 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 7423d19
- Update to 3.16.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 97dbea7
- x32 rebuild
- release 2 (by relup.sh)

* Sat Oct 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 6b21595
- updated to 3.14.1

* Sun Sep 28 2014 Łukasz Kieś <kiesiu@pld-linux.org> efc3edd
- updated to 3.14.0

* Thu Apr 17 2014 Jakub Bogusz <qboosh@pld-linux.org> 3eb0cd1
- updated to 3.12.1

* Thu Mar 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 94b9e8c
- added sh patch (fix YELP_HELP_INIT without arguments)
- release 2

* Tue Mar 25 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 6570d91
- Update to 3.12.0

* Fri Sep 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 882daac
- updated to 3.10.0

